$("#<%=object_id%>").replaceWith('<%= escape_javascript join_in_competition(@contest, user) %>');
<% if @state %>
	<% if @state == 0 %>
		alert("加入成功")
	<% else %>
		alert("密码错误")
	<% end %>
<% end %>